<template>
  <div class='ecosystem'>
    <div class='ecosystem__container container'>
      <div class='ecosystem__content content'>
        <h2 class='ecosystem__title base-title'>{{ $t('title') }}</h2>
        <p class='ecosystem__subtitle'>
          {{ $t('text') }}
        </p>
        <div class='content__actions'>
          <base-button @click.native="$router.push(localePath('/app'))">
            {{ $t('getBtn') }}
          </base-button>

          <base-button @click.native="$router.push(localePath('/hub'))">
            {{ $t('visitBtn') }}
          </base-button>
        </div>
      </div>
      <div class='ecosystem__img'>
        <ecosystem-img />
      </div>
    </div>
  </div>
</template>

<script>
import BaseButton from '../base/BaseButton'
import EcosystemImg from '../icon/EcosystemImg'
export default {
  components: { BaseButton, EcosystemImg }
}
</script>

<i18n>
{
  "en": {
    "title": "Ecosystem",
    "text": "TBCC is a simple multifunctional blockchain company that helps both traders and business developers manage cryptocurrencies, receive high income, and build their own businesses. We make cryptocurrency use simple and accessible by creating an all-in-one App for users and customized solutions for crypto exchanges.",
    "getBtn": "Get App",
    "visitBtn": "Visit Hub"
  },
  "ch": {
    "title": "生态系统",
    "text": "TBCC是一家简单的多功能区块链公司，帮助交易者和商业开发者管理加密货币，获得高收入，并建立自己的业务。我们通过为用户创建一个多合一的App和为加密货币交易所定制的解决方案，使加密货币的使用变得简单和方便。",
    "getBtn": "获取应用程序",
    "visitBtn": "访问中心"
  },
  "tur": {
    "title": "Ecosystem",
    "text": "TBCC is a simple multifunctional blockchain company that helps both traders and business developers manage cryptocurrencies, receive high income, and build their own businesses. We make cryptocurrency use simple and accessible by creating an all-in-one App for users and customized solutions for crypto exchanges.",
    "getBtn": "Get App",
    "visitBtn": "Visit Hub"
  }
}
</i18n>

<style lang='scss' scoped>
.ecosystem {
  &__container {
    display: flex;
    align-items: center;
    flex-direction: column;

    @media (min-width: 768px) {
      flex-direction: row;
    }
  }

  &__content,
  &__img {
    flex: 0 0 100%;
    max-width: 100%;
    @media (min-width: 768px) {
      flex: 0 0 50%;
      max-width: 50%;
    }
  }

  &__img {
    order: -1;

    @media (min-width: 768px) {
      order: 0;
    }

    svg {
      width: 100%;
      height: 100%;
      max-width: 458px;
      max-height: 380px;
      margin-bottom: 44px;

      @media (min-width: 768px) {
        max-width: 554px;
        max-height: 459px;
        margin-bottom: 0;
      }

      @media (min-width: 1200px) {
        width: 554px;
        height: 459px;
      }
    }
  }

  &__title {
    margin: 0 auto 25px;
    max-width: 250px;
    font-weight: 700;
    font-size: 36px;
    text-align: center;

    @media (min-width: 768px) {
      margin: 0 0 25px;
      text-align: unset;
    }

    @media (min-width: 1024px) {
      margin: 0 0 30px;
      font-size: 45px;
    }

    @media (min-width: 1200px) {
      font-size: 48px;
    }
  }

  &__subtitle {
    margin: 0 0 30px;
    font-weight: 400;
    color: #6983AB;
    font-size: 16px;
    line-height: 24px;
    max-width: 317px;
    text-align: center;

    @media (min-width: 768px) {
      font-size: 16px;
      line-height: 26px;
      max-width: 435px;
      text-align: unset;
      margin: 0 0 45px;
    }

    @media (min-width: 1200px) {
      font-size: 18px;
      line-height: 28px;
    }
  }
}

.content {
  padding-bottom: 90px;
  @media (min-width: 768px) {
    padding-bottom: 0;
  }

  &__actions {
    display: flex;
    justify-content: space-around;

    @media (min-width: 768px) {
      justify-content: start;
    }

    button {
      background-color: #051345;

      @media (min-width: 768px) {
        &:not(:last-child) {
          margin-right: 24px;
        }
      }
    }
  }
}

</style>
